import request from '@/assets/js/utils/request'
/*
 * =======================采购-查看邀请函==============================
 * */
//  查询邀请函
export function queryProcurementInvitatinByTenderId(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/queryProcurementInvitatinByTenderId?tenderId=' + data,
    method: 'get'
  })
}
//  保存采购邀请函基本信息
export function saveProcurementInvitatin(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/saveProcurementInvitatin',
    method: 'post',
    data
  })
}
//  查询邀请函详情（供应商信息）分页
export function queryProcurementInvitatinDetailPage(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/queryProcurementInvitatinDetailPage',
    method: 'post',
    data
  })
}
//  保存邀请供应商
export function saveProcurementInvitatinDetailSupplierList(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/saveProcurementInvitatinDetailSupplierList',
    method: 'post',
    data
  })
}
//  删除邀请供应商
export function removeProcurementInvitatinDetailSupplier(invitatinDetailId, tenderId) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/removeProcurementInvitatinDetailSupplier' + '?invitatinDetailId=' + invitatinDetailId + '&tenderId=' + tenderId,
    method: 'get'
  })
}
//  预览邀请函模板
export function previewProcurementInvitatinTemplate(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/previewProcurementInvitatinTemplate',
    method: 'post',
    data
  })
}
//  供应商-报名可参与项目 - 拒绝邀请函
export function refuseInvitationAsk(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/refuseInvitation',
    method: 'post',
    data
  })
}
//  供应商-报名可参与项目 - 查看邀请函
export function lookInvitationAsk(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/invitationReplyLetter?packId=' + data,
    method: 'post'
  })
}
// 提交邀请函的采购公告
export function submitProcurementInvitatin(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/submitProcurementInvitatin',
    method: 'post',
    data
  })
}
// 变更邀请函
export function changeInvitation(data) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/changeInvitation',
    method: 'post',
    data
  })
}
// 查询变更邀请函信息
export function InvitationQueryChangeMessage(packId) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/queryChangeMessage?packId=' + packId,
    method: 'post'
  })
}
// 变更邀请函html
export function changeInvitaitonHtmlById(id) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/changeInvitaitonHtmlById?id=' + id,
    method: 'post'
  })
}
// 查询单一来源公示
export function getInvitaitonPublicityHtmlByPackId(packId) {
  return request({
    url: '/bidprocurement/procurement-invitation/procurementInvitation/getInvitaitonPublicityHtmlByPackId?packId=' + packId,
    method: 'get'
  })
}
